# Class LoggerFactory

java.lang.Object
org.mariadb.jdbc.internal.logging.LoggerFactory

public class LoggerFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`LoggerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Logger`
`getLogger(Class<?> clazz)`
Initialize logger.
`static void`
`init(boolean mustLog)`
Initialize factory.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerFactory

public LoggerFactory()

## Method Details

### init

public static void init(boolean mustLog)
Initialize factory.

Parameters:
  `mustLog` - indicate if must initiate Slf4j log

### getLogger

public static Logger getLogger(Class<?> clazz)
Initialize logger.

Parameters:
  `clazz` - initiator class
Returns:
  logger